<?php
namespace MetForm_Pro\Templates;
defined( 'ABSPATH' ) || exit;

Class Base{
    use \MetForm\Traits\Singleton;

    public function init(){
        add_filter( 'metform/editor/templates', function($list){
            $template_list = [
                'template-6' => [
                    'id' => 6,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Event Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/6/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/event-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/6/content.json',
                ],
                'template-7' => [
                    'id' => 7,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Job Application Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/7/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/job-application-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/7/content.json',
                ],
                'template-8' => [
                    'id' => 8,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Job Listing Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/8/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/job-listing-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/8/content.json',
                ],
                'template-9' => [
                    'id' => 9,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Loan Application Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/9/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/loan-application-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/9/content.json',
                ],
                'template-10' => [
                    'id' => 10,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Newsletter Signup Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/10/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/newsletter-signup-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/10/content.json',
                ],
                'template-11' => [
                    'id' => 11,
                    'package' => 'pro',
                    'title' => 'Patient Form',
                    'form_type' => 'general-form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/11/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/patient-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/11/content.json',
                ],
                'template-12' => [
                    'id' => 12,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Personal Data Erasure Request',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/12/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/personal-data-erasure-request/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/12/content.json',
                ],
                'template-13' => [
                    'id' => 13,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Product Order Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/13/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/product-order-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/13/content.json',
                ],
                'template-14' => [
                    'id' => 14,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Rating Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/14/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/rating-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/14/content.json',
                ],
                'template-15' => [
                    'id' => 15,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Report A Bug Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/15/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/report-a-bug-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/15/content.json',
                ],
                'template-16' => [
                    'id' => 16,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Request For Leave Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/16/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/request-for-leave-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/16/content.json',
                ],
                'template-17' => [
                    'id' => 17,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Request For Quote Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/17/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/request-for-quote-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/17/content.json',
                ],
                'template-18' => [
                    'id' => 18,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Restaurant Reservation Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/18/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/restaurant-reservation-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/18/content.json',
                ],
                'template-19' => [
                    'id' => 19,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Suggestion Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/19/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/suggestion-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/19/content.json',
                ],
                'template-20' => [
                    'id' => 20,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Support Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/20/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/support-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/20/content.json',
                ],
                'template-21' => [
                    'id' => 21,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Volunteer Application Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/21/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/volunteer-application-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/21/content.json',
                ],
                'template-22' => [
                    'id' => 22,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Website Feedback',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/22/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/website-feedback/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/22/content.json',
                ],
                'template-23' => [
                    'id' => 23,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Subscribe Form 1',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/23/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/demos/subscribe-form-1/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/23/content.json',
                ],
                'template-24' => [
                    'id' => 24,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Subscribe Form 2',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/24/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/demos/subscribe-form-2/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/24/content.json',
                ],
                'template-25' => [
                    'id' => 25,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Food Order Form',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/25/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/food-order-form/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/25/content.json',
                ],
                'template-26' => [
                    'id' => 26,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Conditional Form 1',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/26/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/conditional-form-1/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/26/content.json',
                ],
                'template-27' => [
                    'id' => 27,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Conditional Form 2',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/27/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/conditional-form-2/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/27/content.json',
                ],
                'template-28' => [
                    'id' => 28,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Conditional Form 3',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/28/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/conditional-form-3/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/28/content.json',
                ],
                'template-29' => [
                    'id' => 29,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Conditional Form 4',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/29/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/conditional-form-4/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/29/content.json',
                ],
                'template-30' => [
                    'id' => 30,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Conditional Form 5',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/30/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/conditional-form-5/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/30/content.json',
                ],
                'template-31' => [
                    'id' => 31,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Conditional Form 6',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/31/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/conditional-form-6/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/31/content.json',
                ],
                'template-32' => [
                    'id' => 32,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Calculation Form 1',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/32/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/calculation-form-1/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/32/content.json',
                ],
                'template-33' => [
                    'id' => 33,
                    'package' => 'pro',
                    'form_type' => 'general-form',
                    'title' => 'Calculation Form 2',
                    'preview-thumb' => \MetForm_Pro\Plugin::instance()->plugin_url() . 'templates/33/preview-thumb.svg',
                    'demo-url'  => 'https://products.wpmet.com/metform/pro-demos/calculation-form-2/',
                    'file' => \MetForm_Pro\Plugin::instance()->plugin_dir() . 'templates/33/content.json',
                ],
            ];

            return array_merge($list, $template_list);
        }, 10 );
    }
}